﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Excercise01
{
    internal class Ex01
    {
        Bitmap canvas;
        int width;
        int height;

        Graphics g;

        public Ex01(Bitmap canvas)
        {
            this.canvas = canvas;
            width = canvas.Width;
            height = canvas.Height;

            g = Graphics.FromImage(canvas);
        }

        int x = 50;
        int y = 50;
        int stepX = 1;
        int stepY = 1;
        internal void DrawRectangle()
        {
            g.Clear(Color.FromArgb(42, 42, 42));
            Pen p = new Pen(Color.White, 2);

            if (x <= 0) stepX = 1;
            else if (x > width) stepX = -1;

            if (y <= 0) stepY = 1;
            else if (y > height) stepY = -1;

            x += stepX;
            y += stepY;

            g.DrawRectangle(p, x, y, 50, 50);
        }

        internal void Sandbox()
        {
            g.Clear(Color.FromArgb(42,42,42));

            Pen p = new Pen(Color.White, 2);
            g.DrawRectangle(p, new Rectangle(20, 20, 50, 35));

            Brush b = new SolidBrush(Color.Cyan);
            g.FillRectangle(b, new Rectangle(20, 80, 50, 35));

            Point p1 = new Point(20, 130);
            Point p2 = new Point(80, 150);
            Point p3 = new Point(20, 150);

            // g.DrawLine(p, p1, p2);
            g.DrawPolygon(p, new PointF[] { p1, p2, p3 });
        }

        internal void DisplayCoords(int clickX, int clickY)
        {
            g.Clear(Color.FromArgb(42, 42, 42));

            Brush b = new SolidBrush(Color.White);
            Point p = new Point(50, 50);
            g.DrawString(clickX + " " + clickY, new Font(FontFamily.GenericSansSerif, 18), b, p);
        }
    }
}
