namespace Excercise01
{
    public partial class Form1 : Form
    {
        Ex01 ex;
        System.Windows.Forms.Timer timer;

        public Form1()
        {
            InitializeComponent();

            Bitmap bmp = new Bitmap(canvasBox.Width, canvasBox.Height);
            canvasBox.Image = bmp;

            ex = new Ex01(bmp);
            ex.Sandbox();

            canvasBox.MouseDown += ChangeCoords;
        }

        private void ChangeCoords(object? sender, MouseEventArgs e)
        {
            int clickX = e.X;
            int clickY = e.Y;

            ex.DisplayCoords(clickX, clickY);
            canvasBox.Invalidate();
        }

        private void animBT_Click(object sender, EventArgs e)
        {
            if (timer != null && timer.Enabled)
            {
                timer.Stop();
                timer.Enabled = false;

            }
            else
            {
                timer = new System.Windows.Forms.Timer();
                timer.Tick += new EventHandler(DrawRectangle);
                timer.Interval = 1;
                timer.Enabled = true;
                timer.Start();
            }
        }

        private void DrawRectangle(object? sender, EventArgs e)
        {
            ex.DrawRectangle();
            canvasBox.Invalidate();
        }
    }
}